RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1897594 - update description and summary for container-tools module for 8.3.0
Summary: update description and summary for container-tools module for 8.3.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: container-tools-rhel8-module
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: Jindrich Novy
QA Contact: Joy Pu
URL:
Whiteboard:
Depends On:
Blocks: 1898204
TreeView+ depends on / blocked
 
Reported: 2020-11-13 15:10 UTC by Jindrich Novy
Modified: 2021-05-18 15:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1897596 1897598 1898204 (view as bug list)
Environment:
Last Closed: 2021-05-18 15:32:56 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)

Description Jindrich Novy 2020-11-13 15:10:06 UTC
Current Output

yum module list | grep container-tools

container-tools      rhel8 [d][e] common [d]                               Common tools and dependencies for container runtimes
container-tools      1.0          common [d]                               Common tools and dependencies for container runtimes
container-tools      2.0          common [d]                               Common tools and dependencies for container runtimes


Imaginary New Output

yum module list | grep container-tools

container-tools      rhel8 [d][e] common [d]                               Latest versions of podman, buildah, skopeo, runc, conmon, 
                                                                           CRIU, Udica, etc as well as dependencies such as           
                                                                           container-selinux built and tested together, and updated
                                                                           as frequently as every 12 weeks.
container-tools      1.0          common [d]                               Stable versions of podman 1.0, buildah 1.5, skopeo 0.1, 
                                                                           runc, conmon, CRIU, Udica, etc as well as dependencies 
                                                                           such as container-selinux built and tested together, and
                                                                           supported for 24 months.
container-tools      2.0          common [d]                               Stable versions of podman 1.6, buildah 1.11, skopeo 0.1, 
                                                                           runc, conmon, etc as well as dependencies such as 
                                                                           container-selinux built and tested together, and supported
                                                                           as documented on the Application Stream lifecycle page.



For RHEL
Container-tools:rhel8
Summary:  Most recent (rolling) versions of podman, buildah, skopeo, runc, conmon, runc, conmon, CRIU, Udica, etc as well as dependencies such as container-selinux built and tested together, and updated as frequently as every 12 weeks.
Description: Latest versions of podman, buildah, skopeo, runc, conmon, CRIU, Udica, etc as well as dependencies such as container-selinux built and tested together, and updated as frequently as every 12 weeks. Only very limited back ports are provided to this stream, and most patches come from providing new versions. 

Container-tools:1.0
Summary: Stable versions of podman 1.0, buildah 1.5, skopeo 0.1, runc, conmon, CRIU, Udica, etc as well as dependencies such as container-selinux built and tested together, and supported for 24 months.
Description: Stable versions of podman 1.0 , buildah 1.5, skopeo 0.1, runc, conmon, CRIU, Udica, etc as well as dependencies such as container-selinux built and tested together. Released with RHEL 8.0 and supported for 24 months. During the support lifecycle, back ports of important, critical vulnerabilities (CVEs, RHSAs) and bug fixes (RHBAs) are provided to this stream, and versions do not move forward. For more information see: https://access.redhat.com/support/policy/updates/containertools


Container-tools:2.0
Summary: Stable versions of podman 1.6, buildah 1.11, skopeo 0.1, runc, conmon, etc as well as dependencies such as container-selinux built and tested together, and supported as documented on the Application Stream lifecycle page.
Description: Stable versions of podman 1.6, buildah 1.11, skopeo 0.1, runc, conmon, CRIU, Udica, etc as well as dependencies such as container-selinux built and tested together. Released with RHEL 8.2 and supported for 24 months. During the support lifecycle, back ports of important, critical vulnerabilities (CVEs, RHSAs) and bug fixes (RHBAs) are provided to this stream, and versions do not move forward. For more information see: https://access.redhat.com/support/policy/updates/containertools

Comment 3 Scott McCarty 2020-11-13 15:55:15 UTC
Ack

Comment 8 Joy Pu 2021-02-08 13:51:28 UTC
Checked with yum module info container-tools, the Summary is already updated. So set this to verified.

Comment 10 errata-xmlrpc 2021-05-18 15:32:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: container-tools:rhel8 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1796


Note You need to log in before you can comment on or make changes to this bug.